- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# opendj_backendprop – Will update the backend configuration of OpenDJ via the dsconfig set-backend-prop command

- Synopsis
- Parameters
- Examples
- Status

## Synopsis

- This module will update settings for OpenDJ with the command set-backend-prop.
- It will check first via de get-backend-prop if configuration needs to be applied.

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
backend - / required |  | The name of the backend on which the property needs to be updated.
hostname - / required |  | The hostname of the OpenDJ server.
name - / required |  | The configuration setting to update.
opendj_bindir - | Default: "/opt/opendj/bin" | The path to the bin directory of OpenDJ.
password - |  | The password for the cn=Directory Manager user. Either password or passwordfile is needed.
passwordfile - |  | Location to the password file which holds the password for the cn=Directory Manager user. Either password or passwordfile is needed.
port - / required |  | The Admin port on which the OpenDJ instance is available.
state - | Default: "present" | If configuration needs to be added/updated
username - | Default: "cn=Directory Manager" | The username to connect to.
value - / required |  | The value for the configuration item.

## Examples

    - name: "Add or update OpenDJ backend properties"
      action: opendj_backendprop
              hostname=localhost
              port=4444
              username="cn=Directory Manager"
              password=password
              backend=userRoot
              name=index-entry-limit
              value=5000

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]
- This module is maintained by the Ansible Community. [community]

### Authors

- Werner Dijkerman (@dj-wasabi)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.